import sys
import asammdf

try:

    sys.stdout.write("Filter file " + sys.argv[1])
    sys.stdout.flush()

    sys.stdout.write("Get channel list")
    channel_list = []
    for i in range(3, len(sys.argv)):
        channel_list.append(sys.argv[i])
        sys.stdout.write("--> Channel " + channel_list[i-3])

    with asammdf.MDF(name=sys.argv[1]) as mdf:
        filtered = mdf.filter(channel_list)
    sys.stdout.write("Save file " + sys.argv[2])
    filtered.save(sys.argv[2])

except:

    sys.exit(-1)


